Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox
Class ImportFDF

    java.lang.Object
      org.pdfbox.ImportFDF

public class ImportFDF
extends Object

This example will take a PDF document and fill the fields with data from the FDF fields.

Version:
  $Revision: 1.1 $
Author:
  Ben Litchfield (ben@csh.rit.edu)

Constructor Summary
`ImportFDF()` Creates a new instance of ImportFDF.

Method Summary
`void` | `close(FDFDocument doc)` Close the document.
`void` | `close(PDDocument doc)` Close the document.
`void` | `importFDF(PDDocument pdfDocument, FDFDocument fdfDocument)` This will takes the values from the fdf document and import them into the PDF document.
`static void` | `main(String[] args)` This will import an fdf document and write out another pdf.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImportFDF

    public ImportFDF()

  Creates a new instance of ImportFDF.

Method Detail

### importFDF

    public void importFDF(PDDocument pdfDocument,
                          FDFDocument fdfDocument)
                   throws IOException

  This will takes the values from the fdf document and import them into the PDF document.

  Parameters:
    `pdfDocument` - The document to put the fdf data into.
    `fdfDocument` - The FDF document to get the data from.
  Throws:
    `IOException` - If there is an error setting the data in the field.

### main

    public static void main(String[] args)
                     throws Exception

  This will import an fdf document and write out another pdf.
  see usage() for commandline

  Parameters:
    `args` - command line arguments
  Throws:
    `Exception` - If there is an error importing the FDF document.

### close

    public void close(FDFDocument doc)
               throws IOException

  Close the document.

  Parameters:
    `doc` - The doc to close.
  Throws:
    `IOException` - If there is an error closing the document.

### close

    public void close(PDDocument doc)
               throws IOException

  Close the document.

  Parameters:
    `doc` - The doc to close.
  Throws:
    `IOException` - If there is an error closing the document.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD